<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.ctop.toutiao.modules.material.mapper.ByteDanceTransferBalanceMapper">


    <insert id="replaceBatch">
        replace into bytedanc_account_transfer_balance(
        project_id,
        project_name,
        account_id,
        account_name,
        deposit_amount,
        total_transfer_amount,
        capital_detail_list
        )
        values
        <foreach collection="list" item="li" separator=",">
            (
            #{li.projectId},
            #{li.projectName},
            #{li.account_id},
            #{li.accountName},
            #{li.deposit_amount},
            #{li.total_transfer_amount},
            #{li.capitalDetailList}
            )
        </foreach>
    </insert>


</mapper>
